package md

import "github.com/shopspring/decimal"

var (
	WithdrawalCommissionFee = decimal.NewFromFloat(0.15) //提现比例 扣了手续费的
	WithdrawalDestroyFee    = decimal.NewFromFloat(0.05) //提现销毁增值积分比例
	WithdrawalRefluxFee     = decimal.NewFromFloat(0.10) //提现回流增值积分比例
)

type DealWithdrawalAndDestroyResp struct {
	TransferOut  float64 `json:"transfer_out"`
	AmountOut    float64 `json:"amount_out"`
	DestroyValue float64 `json:"destroy_value"`
	RefluxValue  float64 `json:"reflux_value"`
}
type DealWithdrawalFeeResp struct {
	WithdrawalCommissionFee float64 `json:"withdrawal_commission_fee"` //提现比例  扣了手续费的
	WithdrawalDestroyFee    float64 `json:"withdrawal_destroy_fee"`    //提现销毁增值积分比例
	WithdrawalRefluxFee     float64 `json:"withdrawal_reflux_fee"`     //提现回流增值积分比例
}
